#ifndef __mathfunc_h
#define __mathfunc_h


/* define the constant PI */
#ifndef PI
#define PI 3.14159265358979323846
#endif

#ifndef LOG10e
#define LOG10e 0.434294481903251827651
#endif

#ifndef LOGe10
#define LOGe10 2.30258509299404568402
#endif

typedef double           REAL; 


extern REAL	bern	       (REAL);
extern REAL	pd1bern	       (REAL);
extern REAL	aux1	       (REAL);
extern REAL	pd1aux1	       (REAL);
extern REAL	aux2	       (REAL);
extern REAL	pd1aux2	       (REAL);

#endif

