#ifndef _paramter_
#define _paramter_

//scaled physical constant
const double k      = 2.582e-2;          
const double mn     = 0.26*5.6834e-2;   
const double mp     = 0.81*5.6834e-2;
const double eps    = 11.7*5.5342;        
const double e      = 1;         
const double Tl     = 1;       
const double vsat   = 2.4/(1+0.8*exp(Tl/2));
const double C      = 1.0;  //doping 1e15/cm^3 
const double nie    = 1.25e-5;

//-----------------------------------
const double h      = 0.5; //mesh size 


extern double R(double,double,double,double);
extern double mu0n(double,double);
extern double mu0p(double,double);
extern double nsdep(double,double,double);
extern double ngdep(double,double,double);
extern double Vbi(double,double);

#endif
